shaders = {}

function eh(e)
	return tostring(e)
end

function love.load()
	for i,file in ipairs(love.filesystem.getDirectoryItems("shaders")) do
		shaders[i] = {}
		shaders[i].name = file
		local e = ""
		shaders[i].ok,e = xpcall(function() return love.graphics.newShader("shaders/"..file) end, eh)
		--print(xpcall(function() return love.graphics.newShader("shaders/"..file) end, eh))
		if shaders[i].ok then
			print("----------------------")
			print("[+] "..file.." loaded ok:")
			print(e:getWarnings())
		else
			print("----------------------")
			print("[-] "..file..":")
			print(e)
		end
	end
	print("----------------------")
end

function love.draw()
	for i,shader in ipairs(shaders) do
		if shader.ok then
			love.graphics.setColor(0,255,0)
		else
			love.graphics.setColor(255,0,0)
		end
		love.graphics.print(shader.name, 0, i*20)
	end
end