#ifdef PIXEL
extern int radius;
extern vec2 size;
vec4 effect(vec4 color, Image tex, vec2 tc, vec2 pc)
{
	color = vec4(0);
	vec2 st;
	for(int x = -radius; x <= radius; x++)
	{
		for(int y = -radius; y <= radius; y++)
		{
			// to texture coordinates
			st.xy = vec2(x,y) / size;
			color += Texel(tex, tc + st);
		}
	}
	return color / ((2.0 * radius + 1.0) * (2.0 * radius + 1.0));
}
#endif